### Method

# Vips Object set_valist

#### Declaration [src]

    int
    vips_object_set_valist (
      VipsObject* object,
      va_list ap
    )

#### Description [src]

See `vips_object_set()`.

This method is not directly available to language bindings.

#### Parameters

`ap`

  Type: `va_list`

  `NULL`-terminated list of argument/value pairs.

#### Return value

Type: `int`

0 on success, -1 on error.